Skip to main content
`Ctrl`+`K`

# Characteristic

Abstract PETSc object that manages method of characteristics solves

## Synopsis

    typedef struct _p_Characteristic *Characteristic;

## See Also

`CharacteristicCreate()`, `CharacteristicSetType()`, `CharacteristicType`, `SNES`, `TS`, `PC`, `KSP`

## Level

beginner

## Location

include/petsccharacteristic.h

## Examples

src/ts/tutorials/ex9.c

## Implementations

_p_Characteristic in include/petsc/private/characteristicimpl.h
Characteristic_DA in src/ts/characteristic/impls/da/slda.h

Index of all Characteristic routines
Table of Contents for all manual pages
Index of all manual pages